# Help built-in

The help built-in prints usage of built-ins.

## Syntax

- `help [built-in…]`

## Description

The help built-in prints a description of built-ins.

## Operands

built-ins

  Names of built-ins.

## Exit status

The exit status of the help built-in is zero unless there is any error.

## Notes

The help built-in is an elective built-in. It cannot be used in the POSIXly-correct mode because POSIX does not define its behavior.

Many built-ins of yash accept the `--help` option that prints the same description.